Get a workspace usage
curl --request POST \
--url https://eu-gcp-api.vg-stuff.com/v3/workspaces/{uid}/usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uiTimeRange": "<unknown>",
"logsPage": 123
}
'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/workspaces/{uid}/usage"
payload = {
"uiTimeRange": "<unknown>",
"logsPage": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({uiTimeRange: '<unknown>', logsPage: 123})
};
fetch('https://eu-gcp-api.vg-stuff.com/v3/workspaces/{uid}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Workspaces
Workspace Usage
Retrieves usage statistics and analytics for a workspace, this route must use the new V3 endpoints.
POST
/
workspaces
/
{uid}
/
usage
Get a workspace usage
Example Request
{
"range": {
"start": 1700000000000,
"end": 1700086400000
},
"logsPage": 1
}
Timestamps should be in Unix milliseconds format. Use
range to specify custom date ranges.Monitor your workspace usage to track costs, message volumes, and API consumption over time.
⌘I
